org.keycloak.models.credential.dto

## Class PasswordCredentialData

- java.lang.Object
- - org.keycloak.models.credential.dto.PasswordCredentialData

-     public class PasswordCredentialData
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PasswordCredentialData(int hashIterations, String algorithm)` Creator for standard algorithms (no algorithm tuning beyond hash iterations)
    `PasswordCredentialData(int hashIterations, String algorithm, Map<String,List<String>> additionalParameters)` Creator for custom algorithms (algorithm with tuning parameters beyond simple has iterations)

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivaluedHashMap<String,String>` | `getAdditionalParameters()` Returns a map of algorithm-specific settings.
    `String` | `getAlgorithm()`
    `int` | `getHashIterations()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PasswordCredentialData

          public PasswordCredentialData(int hashIterations,
                                        String algorithm)

      Creator for standard algorithms (no algorithm tuning beyond hash iterations)
      Parameters:
        `hashIterations` - iterations
        `algorithm` - algorithm id

    - #### PasswordCredentialData

          public PasswordCredentialData(int hashIterations,
                                        String algorithm,
                                        Map<String,List<String>> additionalParameters)

      Creator for custom algorithms (algorithm with tuning parameters beyond simple has iterations)
      Parameters:
        `hashIterations` - iterations
        `algorithm` - algorithm id
        `additionalParameters` - additional tuning parameters

  - ### Method Detail

    - #### getHashIterations

          public int getHashIterations()

    - #### getAlgorithm

          public String getAlgorithm()

    - #### getAdditionalParameters

          public MultivaluedHashMap<String,String> getAdditionalParameters()

      Returns a map of algorithm-specific settings. These settings may include additional parameters such as Bcrypt memory-tuning parameters. It should be used immutably.
      Returns:
        algorithm data

Copyright © 2020 JBoss by Red Hat. All rights reserved.